<?php 
/*
 * Plugin Name: Modern Skype button
 * Plugin URI:  http://abuhayatpolash.com/plugins/modern-skype-button/
 * Description: You can easily integrate interactive skype button fo call / chat in your wordpress blog/website using this plugin.
 * Author:      Abu Hayat Polash
 * Author URI: http://abuhayatpolash.com
 * Version:     1.0
 */
/*-------------------------------------------------------------------------------*/
/*   Redirect to What's New Page
/*-------------------------------------------------------------------------------*/	

register_activation_hook(__FILE__, 'msb_activate');
add_action('admin_init', 'msb_redirect');

function msb_activate() {
    add_option('msb_do_activation_redirect', true);
}

function msb_redirect() {
    if (get_option('msb_do_activation_redirect', false)) {
        delete_option('msb_do_activation_redirect');
        wp_redirect('edit.php?post_type=skypebutton&page=msb-my-custom-submenu-page');
    }
}
  
/*Some Set-up*/
define('SBWP_PLUGIN_DIR', WP_PLUGIN_URL . '/' . plugin_basename( dirname(__FILE__) ) . '/' ); 
 
function msb_plugin_main_js() {
    wp_enqueue_script( 'skype-button-js', plugins_url( '/js/skype.js', __FILE__ ), array(), 1.0, false);
}
add_action('init','msb_plugin_main_js');
//Remove post update massage and link 
function msb_updated_messages( $messages ) {
    $messages['skypebutton'][1] = __('Button updated ');
    return $messages;
}
add_filter('post_updated_messages','msb_updated_messages');

/* Register Custom Post Types********************************************/
     
            add_action( 'init', 'sbwp_create_post_type' );
            function sbwp_create_post_type() {
                    register_post_type( 'skypebutton',
                            array(
                                    'labels' => array(
                                            'name' => __( 'Skype Button'),
                                            'singular_name' => __( 'Skype button' ),
                                            'add_new' => __( 'Add button' ),
                                            'add_new_item' => __( 'Add Button' ),
                                            'edit_item' => __( 'Edit Button' ),
                                            'new_item' => __( 'New Button' ),
                                            'view_item' => __( 'View Button' ),
											'search_items'       => __( 'Search Button'),
                                            'not_found' => __( 'Sorry, we couldn\'t find the skype button you are looking for.' )
                                    ),
          'rewrite'         => array( 'slug' => 'skypebutton' ),
          'public'      	=> false,
          'show_ui'      	=> true,
          'has_archive'   	=> false,
          'hierarchical'  	=> true,
          'supports'    	=> array( 'title' ),
          'menu_icon'     	=> SBWP_PLUGIN_DIR .'/img/skype.png',
                            )
                    );
            }	

//Lets register our shortcode for skype button
function msb_cpt_content_func($atts){
	extract( shortcode_atts( array(

		'ac' => null,

	), $atts ) );

?>

<?php ob_start();?>
<?php // echo( get_post_meta($ac,'msb_button_color', true));?>
<?php $ids= get_post_meta($ac,'msb_skype_id', true); if ($ids==""){echo "Oops ! you forgot to enter skype id";}else{?>
<div id="SkypeButton_Call_<?php echo get_post_meta($ac,'msb_skype_id', true); ?>_<?php echo $ac ; ?>" style="<?php $pl=get_post_meta( $ac, 'msb_padding_left', true ); if ($pl==""){echo "";} else{echo"padding-left:".$pl."px;";} ?><?php $pt=get_post_meta( $ac, 'msb_padding_top', true ); if ($pt==""){echo"";} else{echo"padding-top:".$pt."px;";} ?><?php $type=get_post_meta( $ac, 'msb_button_type', true ); if ($type=="dropdown"){echo"padding-bottom:100px;";}?>">
  <script type="text/javascript">
    Skype.ui({
		"name": "<?php echo get_post_meta($ac,'msb_button_type', true); ?>",
		"element": "SkypeButton_Call_<?php echo get_post_meta($ac,'msb_skype_id', true); ?>_<?php echo $ac; ?>",
		"participants": ["<?php echo get_post_meta($ac,'msb_skype_id', true); ?>"],
		<?php $color= get_post_meta($ac,'msb_button_color', true); if ($color=="on"){echo '"imageColor": "white",';}?>
		"imageSize": <?php echo get_post_meta($ac,'msb_button_size', true); ?>
    });
  </script>
</div>
<?php
}
	$output = ob_get_clean();return $output;//print $output; // debug
?>	
<?php
}
add_shortcode('skype','msb_cpt_content_func');

/*-------------------------------------------------------------------------------*/
/* TinyMce
/*-------------------------------------------------------------------------------*/
require_once( 'tinymce/msb-tinymce.php' );

/*-------------------------------------------------------------------------------*/
/* Plugins inc
/*-------------------------------------------------------------------------------*/
	require_once( 'widget/widget.php' );
	require_once( 'widget/widget-publisher.php' );

// ONLY MOVIE CUSTOM TYPE POSTS
add_filter('manage_skypebutton_posts_columns', 'ST4_columns_head_only_skypebutton', 10);
add_action('manage_skypebutton_posts_custom_column', 'ST4_columns_content_only_skypebutton', 10, 2);
 
// CREATE TWO FUNCTIONS TO HANDLE THE COLUMN
function ST4_columns_head_only_skypebutton($defaults) {
    $defaults['directors_name'] = 'ShortCode';
    return $defaults;
}
function ST4_columns_content_only_skypebutton($column_name, $post_ID) {
    if ($column_name == 'directors_name') {
        // show content of 'directors_name' column
		echo '<input value="[skype ac='. $post_ID . ']" >';
    }
}
//------------------------sub menu page-------------------------------
add_action('admin_menu', 'msb_sbwp_custom_submenu_page');

function msb_sbwp_custom_submenu_page() {
	add_submenu_page( 'edit.php?post_type=skypebutton', 'Developer', 'Developer', 'manage_options', 'msb-my-custom-submenu-page', 'msb_sbwp_submenu_page_callback' );
}

function msb_sbwp_submenu_page_callback() { ?>
	
<div class="wrap">
		<h1>Thank you for installing Modern Skype Button </h1>
		<p>Watch the getting started video below to see how to use the plugin... </p>
		<hr />
		<h2>Developer</h2>
		<div class="feature-section">
		
		<h3>Md Abu hayat polash</h3>
		<h4>Professional Web Developer</h4>
		<h5>Hire Me : <a href="http://fiverr.com/abuhayat">www.fiverr.com/abuhayat</h5></a>
		<h5>Email: <a href="mailto:abuhayat.du@gmail.com">abuhayat.du@gmail.com </a></h5>
		<h5>Web: <a href="http://abuhayatpolash.com">http://abuhayatpolash.com</a></h5>
		<h5>Skype: ah_polash</h5> 
		<br />
		</div>
		<hr />
		<h2>Gatting started with Modern Skype Button</h2>
		<div class="feature-section">

			<p class="about-description"><?php _e( 'How to use modern skype button plugin.', 'ms-button' ); ?></p>
			<div class="ewic-container-cnt">
			<div class="feature-section">
			<iframe width="853" height="480" src="https://www.youtube.com/embed/f6SqpL6uwm8" frameborder="0" allowfullscreen></iframe>
			</div>
			</div>
		</div>
</div>
<?php
}
/*-------------------------------------------------------------------------------*/
/*   Hide & Disabled View, Quick Edit and Preview Button
/*-------------------------------------------------------------------------------*/
function sbwp_rc_remove_row_actions( $idtions ) {
	global $post;
    if( $post->post_type == 'skypebutton' ) {
		unset( $idtions['view'] );
		unset( $idtions['inline hide-if-no-js'] );
	}
    return $idtions;
}

if ( is_admin() ) {
	add_filter( 'post_row_actions','sbwp_rc_remove_row_actions', 10, 2 );
}
// HIDE everything in PUBLISH metabox except Move to Trash & PUBLISH button
function sbwp_hide_publishing_actions(){
        $my_post_type = 'skypebutton';
        global $post;
        if($post->post_type == $my_post_type){
            echo '
                <style type="text/css">
                    #misc-publishing-actions,
                    #minor-publishing-actions{
                        display:none;
                    }
                </style>
            ';
        }
}
add_action('admin_head-post.php', 'sbwp_hide_publishing_actions');
add_action('admin_head-post-new.php', 'sbwp_hide_publishing_actions');
 //code for change publish button to save.
add_filter( 'gettext', 'change_publish_button', 10, 2 );

function change_publish_button( $translation, $text ) {
if ( 'skypebutton' == get_post_type())
if ( $text == 'Publish' )
    return 'Save';

return $translation;
}
/*-------------------------------------------------------------------------------*/
/*   CMB2
/*-------------------------------------------------------------------------------*/			
include_once('inc/cmb2/init.php');
include_once('inc/cmb2/example-functions.php');
?>
